name: "alias-speechtotext"
mmap: true

license: "MIT"
urls:
- https://github.com/ggerganov/whisper.cpp
- https://huggingface.co/ggerganov/whisper.cpp

description: |
    Port of OpenAI's Whisper model in C/C++ 
    
config_file: |
  name: alias-speechtotext
  backend: whisper
  f16: true
  mmap: true
  threads: 4
  gpu_layers: 35
  parameters:
    model: "downloads/llama_backend/whisper-ggml-large-v2.bin"
    max_context: 0
    beam_size: 5
    best_of: 5
files:
- filename: "downloads/llama_backend/whisper-ggml-large-v2.bin"
  sha256: ""
  uri: "https://huggingface.co/ggerganov/whisper.cpp/resolve/main/ggml-large-v2.bin"